summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPhilip Withnall <philip@tecnocode.co.uk>2016-03-02 00:12:32 +0000
committerPhilip Withnall <philip@tecnocode.co.uk>2016-03-02 00:12:32 +0000
commit114a1067298ff62d7b5ad64fd5c335453738f988 (patch)
treeb62ad787c8bfb9af99f9c61300bd12147c37b371
parent745ccaace31f680c3c92e2429555f0f08643d6a6 (diff)
downloadatk-114a1067298ff62d7b5ad64fd5c335453738f988.tar.gz
build: Fix builddir ≠ srcdir in autogen.sh
gtkdocize either needs a --srcdir argument or needs to be run in the source directory. Fix that by updating autogen.sh from the latest template: https://wiki.gnome.org/Projects/GnomeCommon/Migration#autogen.sh
-rwxr-xr-xautogen.sh50
1 files changed, 22 insertions, 28 deletions
diff --git a/autogen.sh b/autogen.sh
index fa75ed1..1dc2281 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,44 +1,38 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
-(test -f $srcdir/configure.ac) || {
- echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
- exit 1
+cd $srcdir
+
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-PKG_NAME=`autoconf --trace "AC_INIT:$1" "$srcdir/configure.ac"`
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
- echo "**Warning**: I am going to run \`configure' with no arguments." >&2
- echo "If you wish to pass any to it, please specify them on the" >&2
- echo \`$0\'" command line." >&2
- echo "" >&2
-fi
-
-# if the AC_CONFIG_MACRO_DIR() macro is used, create that directory
-# This is a automake bug fixed in automake 1.13.2
-# See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13514
-m4dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1'`
-if [ -n "$m4dir" ]; then
- mkdir -p $m4dir
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
fi
-set -x
-
+aclocal --install || exit 1
gtkdocize --copy || exit 1
-autoreconf --verbose --force --install -Wno-portability || exit 1
+autoreconf --verbose --force --install || exit 1
+cd "$olddir"
if [ "$NOCONFIGURE" = "" ]; then
- $srcdir/configure "$@" || exit 1
+ $srcdir/configure "$@" || exit 1
- if [ "$1" = "--help" ]; then exit 0 else
- echo "Now type \`make\' to compile $PKG_NAME" || exit 1
- fi
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+fi
else
- echo "Skipping configure process."
+ echo "Skipping configure process."
fi
-
-set +x